Page Summary
-
The Route Optimization API, accessible via
routeoptimization.googleapis.com, offers REST resources for managing operations and projects, including locations. -
The service provides a Discovery Document at
<https://routeoptimization.googleapis.com/$discovery/rest?version=v1>for machine-readable API specifications and a service endpoint athttps://routeoptimization.googleapis.com. -
Key functionalities include
batchOptimizeTours,optimizeTours,optimizeToursLongRunning, andoptimizeToursUri, which optimize vehicle tours, especially designed to handle large timeouts and input/output sizes. -
Operations can be managed through
cancel,delete, andlistmethods, allowing for control over long-running processes. -
The API offers features such as retrieving the latest status of a long-running operation via the
getmethod forv1.projects.locations.operations.
The Route Optimization API.
- REST Resource: v1.operations
- REST Resource: v1.projects
- REST Resource: v1.projects.locations
- REST Resource: v1.projects.locations.operations
Service: routeoptimization.googleapis.com
To call this service, we recommend that you use the Google-provided client libraries. If your application needs to use your own libraries to call this service, use the following information when you make the API requests.
Discovery document
A Discovery Document is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:
Service endpoint
A service endpoint is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:
https://routeoptimization.googleapis.com
REST Resource: v1.operations
| Methods | |
|---|---|
cancel |
POST /v1/{name=operations/**}:cancel Starts asynchronous cancellation on a long-running operation. |
delete |
DELETE /v1/{name=operations/**} Deletes a long-running operation. |
list |
GET /v1/{name} Lists operations that match the specified filter in the request. |
REST Resource: v1.projects
| Methods | |
|---|---|
batch |
POST /v1/{parent=projects/*}:batchOptimizeTours Optimizes vehicle tours for one or more OptimizeToursRequest messages as a batch. |
optimize |
POST /v1/{parent=projects/*}:optimizeTours Sends an OptimizeToursRequest containing a ShipmentModel and returns an OptimizeToursResponse containing ShipmentRoutes, which are a set of routes to be performed by vehicles minimizing the overall cost. |
optimize |
POST /v1/{parent=projects/*}:optimizeToursLongRunning This is a variant of the OptimizeTours method designed for optimizations with large timeout values. |
optimize |
POST /v1/{parent=projects/*}:OptimizeToursUri This is a variant of the OptimizeToursLongRunning method designed for optimizations with large timeout values and large input/output sizes. |
REST Resource: v1.projects.locations
| Methods | |
|---|---|
batch |
POST /v1/{parent=projects/*/locations/*}:batchOptimizeTours Optimizes vehicle tours for one or more OptimizeToursRequest messages as a batch. |
optimize |
POST /v1/{parent=projects/*/locations/*}:optimizeTours Sends an OptimizeToursRequest containing a ShipmentModel and returns an OptimizeToursResponse containing ShipmentRoutes, which are a set of routes to be performed by vehicles minimizing the overall cost. |
optimize |
POST /v1/{parent=projects/*/locations/*}:optimizeToursLongRunning This is a variant of the OptimizeTours method designed for optimizations with large timeout values. |
optimize |
POST /v1/{parent=projects/*/locations/*}:OptimizeToursUri This is a variant of the OptimizeToursLongRunning method designed for optimizations with large timeout values and large input/output sizes. |
REST Resource: v1.projects.locations.operations
| Methods | |
|---|---|
get |
GET /v1/{name=projects/*/locations/*/operations/*} Gets the latest state of a long-running operation. |